<?php
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x - Joomla 4.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2020 Eco-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Eco-Joom.com
# Author: Makeev Vladimir
#Author email: v.v.makeev@icloud.com
# Websites:  http://eco-joom.com
# Date modified: 05/05/2020 - 13:00
# ------------------------------------------------------------------------
*/


// No direct access.
defined('_JEXEC') or die;

class plgSystemExttweettodownload extends JPlugin {
	
	function onBeforeCompileHead() {
	
		if (JFactory::getApplication()->isAdmin()){
			return true;
		}
		
		$ext_menuid				= JFactory::getApplication()->getMenu()->getActive()->id;	
		$ext_menuitem 			= $this->params->get('ext_menuitem', 0);

		//exclude menu item
		if(!empty($ext_menuitem) AND strlen(array_search($ext_menuid, $ext_menuitem))){			
			return false;
		}	
		
		$document				= JFactory::getDocument();
		$title					= $document->title;
		$uri 					= JURI::getInstance();
		$link 					= $uri->getScheme() ."://" . $uri->getHost() . $uri->getPath();		
		
		$ext_load_jquery		= (int)$this->params->get('ext_load_jquery', 1);
		$ext_jquery_ver			= $this->params->get('ext_jquery_ver', '1.10.2');
		
		$ext_load_script		= $this->params->get('ext_load_script', 2);
		$ext_screen_name		= $this->params->get('ext_screen_name', 'extjoom');
		$ext_via				= $this->params->get('ext_via', 'extjoom');
		$ext_related			= $this->params->get('ext_related', 'extjoom');
		
		$document->addStyleSheet(JURI::base() . 'plugins/system/exttweettodownload/assets/css/default.css');
		
$ext_script_jquery = <<<SCRIPTJQUERY


var ExtTwjQ = false;
function initJQ() {
	if (typeof(jQuery) == 'undefined') {
		if (!ExtTwjQ) {
			ExtTwjQ = true;
			document.write('<scr' + 'ipt type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/$ext_jquery_ver/jquery.min.js"></scr' + 'ipt>');
		}
		setTimeout('initJQ()', 50);
	}
}
initJQ(); 
 
 if (jQuery) jQuery.noConflict();  

 

SCRIPTJQUERY;

		if ($ext_load_jquery > 0) {
			$document->addScriptDeclaration($ext_script_jquery);
		}
		if ($ext_load_script == 0 or $ext_load_script == 2) {
			$document->addCustomTag('<script type = "text/javascript" src = "'.JURI::root().'plugins/system/exttweettodownload/assets/js/jquery.tweetAction.js"></script>');
$ext_script_tweet = <<<SCRIPTTWEET

jQuery(document).ready(function(){
		
	jQuery('.extTweetLink').tweetAction({
		text:       '$title',
        url:        '$link',
        via:        '$ext_via',
        related:    '$ext_related'

	},function(){	
		
		jQuery('a.ext_downloadHide').addClass('ext_hide');
		jQuery('a.ext_downloadButton').addClass('ext_show');

	}
	);	
}); 

SCRIPTTWEET;
			$document->addScriptDeclaration($ext_script_tweet);
		}
		
		
		if ($ext_load_script == 1 or $ext_load_script == 2) {
			$document->addCustomTag('<script type = "text/javascript" src = "'.JURI::root().'plugins/system/exttweettodownload/assets/js/jquery.followAction.js"></script>'); 
$ext_script_follow = <<<SCRIPTFOLLOW

jQuery(document).ready(function(){
	jQuery('.extFollowLink').followAction(
	{		
		screen_name:		'$ext_screen_name'
	},function(){	
		
		jQuery('a.ext_downloadHide').addClass('ext_hide');
		jQuery('a.ext_downloadButton').addClass('ext_show');

	}
	);
});

SCRIPTFOLLOW;
			$document->addScriptDeclaration($ext_script_follow);
		}
		
	

	}
	
}